Bug 45576

Summary: JAASRealm not working with DigestAuthenticator
Product: Tomcat 5 Reporter: wasp <wasp>
Component: CatalinaAssignee: Tomcat Developers Mailing List <dev>
Status: RESOLVED FIXED    
Severity: normal    
Priority: P2    
Version: 5.5.26   
Target Milestone: ---   
Hardware: PC   
OS: Windows XP   

Description wasp 2008-08-06 02:12:34 UTC
JAASRealm cannot be used with DigestAuthenticator.

JAASRealm only overrides authenticate(String, String), whereas DigestAuthenticator calls authenticate(String, String, String, String, String, String, String, String).

This is similar to bug 41407, where CLIENT-CERT authentication is used.
Comment 1 Mark Thomas 2008-08-09 07:36:45 UTC
This has been fixed in trunk and proposed for 5.5.x and 6.0.x
Comment 2 Mark Thomas 2008-08-13 15:50:59 UTC
This has been fixed in 6.0.x and will be included in 6.0.19 onwards.
Comment 3 Mark Thomas 2009-03-22 08:36:05 UTC
This has been fixed in 5.5.x and will be included in 5.5.28 onwards.